> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Account Products



## OpenAPI

````yaml api-reference/openapi-apply.json GET /account_product
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Account Opening
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /account_product:
    get:
      tags:
        - Account Product
      summary: List Account Products
      parameters:
        - description: The type of account, such as `checking` or `savings`. Filterable.
          in: query
          name: account_type
          schema:
            type: string
        - description: ID of the FBO associated with this account product. Filterable.
          in: query
          name: fbo_id
          schema:
            type: string
        - description: Descriptive name of the account product. Filterable.
          in: query
          name: name
          schema:
            type: string
        - description: One of `business` or `personal`. Filterable.
          in: query
          name: ownership
          schema:
            type: string
        - description: Pagination cursor, value is the object ID.
          in: query
          name: page_cursor
          schema:
            type: string
        - description: >-
            Limits the number of objects in the returned list, value must be a
            number greater than or equal to 1. Defaults to 100.
          in: query
          name: page_size
          schema:
            default: 100
            minimum: 1
            type: integer
        - description: >-
            Lists the objects created on the date provided and onwards. Date
            must be in ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: from_date
          schema:
            type: string
        - description: >-
            Lists the objects created before the date provided. Date must be in
            ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: to_date
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    data:
                      - account_type: checking
                        created_at: '2021-10-27T18:56:55Z'
                        id: apt_11gqk87qmrax
                        name: Personal checking
                        ownership: personal
                        updated_at: '2021-10-27T18:56:55Z'
                        userdata: null
              schema:
                properties:
                  data:
                    items:
                      properties:
                        account_type:
                          description: >-
                            The type of account, such as `checking` or
                            `savings`. Filterable.
                          type: string
                        apply_workflow:
                          description: >-
                            Field representing the apply workflow pertaining to
                            this account product.
                          type: string
                        business_kyc_product_id:
                          description: >-
                            ID of the KYC Product used to evaluate business
                            applications
                          type: string
                        fbo_id:
                          description: >-
                            ID of the FBO associated with this account product.
                            Filterable.
                          type: string
                        id:
                          description: Unique identifier for object
                          type: string
                        name:
                          description: Descriptive name of the account product. Filterable.
                          type: string
                        ownership:
                          description: One of `business` or `personal`. Filterable.
                          type: string
                        person_kyc_product_id:
                          description: >-
                            ID of the KYC Product used to evaluate person
                            applications
                          type: string
                        userdata:
                          description: >-
                            Optional arbitrary data the user can attach to the
                            object
                          type: object
                      type: object
                    type: array
          description: >-
            A dictionary with a `data` property that contains a list of up to
            `page_size` account_product elements, starting after the
            account_product described by `page_cursor`. If no more
            account_products are available, the resulting list will be empty.
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````